# Uses of Class
org.opensaml.xmlsec.keyinfo.KeyInfoGeneratorManager

Packages that use KeyInfoGeneratorManager
Package
Description
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of KeyInfoGeneratorManager in org.opensaml.xmlsec.keyinfo

Fields in org.opensaml.xmlsec.keyinfo declared as KeyInfoGeneratorManager
Modifier and Type
Field
Description
`private final KeyInfoGeneratorManager`
NamedKeyInfoGeneratorManager.`defaultManager`
The default manager for unnamed factories.
Fields in org.opensaml.xmlsec.keyinfo with type parameters of type KeyInfoGeneratorManager
Modifier and Type
Field
Description
`private final Map<String,KeyInfoGeneratorManager>`
NamedKeyInfoGeneratorManager.`managers`
The set of named factory managers.
Methods in org.opensaml.xmlsec.keyinfo that return KeyInfoGeneratorManager
Modifier and Type
Method
Description
`KeyInfoGeneratorManager`
NamedKeyInfoGeneratorManager.`getDefaultManager()`
Get the default (unnamed) factory manager.
`KeyInfoGeneratorManager`
NamedKeyInfoGeneratorManager.`getManager(String name)`
Get the named factory manager.

## Uses of KeyInfoGeneratorManager in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as KeyInfoGeneratorManager
Modifier and Type
Field
Description
`private KeyInfoGeneratorManager`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions.`originatorKeyInfoGeneratorManager`
KeyInfo generator manager for OriginatorKeyInfo elements.
`private KeyInfoGeneratorManager`
KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions.`recipientKeyInfoGeneratorManager`
KeyInfo generator manager for RecipientKeyInfo elements.
Methods in org.opensaml.xmlsec.keyinfo.impl that return KeyInfoGeneratorManager
Modifier and Type
Method
Description
`KeyInfoGeneratorManager`
KeyAgreementKeyInfoGeneratorFactory.`getOriginatorKeyInfoGeneratorManager()`
Get the `KeyInfoGeneratorManager` instance to use to emit `OriginatorKeyInfo`.
`KeyInfoGeneratorManager`
KeyAgreementKeyInfoGeneratorFactory.`getRecipientKeyInfoGeneratorManager()`
Get the `KeyInfoGeneratorManager` instance to use to emit `RecipientKeyInfo`.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyInfoGeneratorManager
Modifier and Type
Method
Description
`void`
KeyAgreementKeyInfoGeneratorFactory.`setOriginatorKeyInfoGeneratorManager(KeyInfoGeneratorManager manager)`
Set the `KeyInfoGeneratorManager` instance to use to emit `OriginatorKeyInfo`.
`void`
KeyAgreementKeyInfoGeneratorFactory.`setRecipientKeyInfoGeneratorManager(KeyInfoGeneratorManager manager)`
Set the `KeyInfoGeneratorManager` instance to use to emit `RecipientKeyInfo`.